Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5055)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5056)
@@ -3,5 +3,5 @@
 global $lang,$conf;
 
-$conf_UserAdvManager = isset($conf['UserAdvManager']) ? explode(";" , $conf['UserAdvManager']) : array();
+$conf_UAM = unserialize($conf['nbc_UserAdvManager']);
 
 
@@ -24,16 +24,16 @@
 
 /* Errors and Warnings */
-$lang['UserAdvManager_audit_ok'] = 'Audit OK';
+$lang['UAM_audit_ok'] = 'Audit OK';
 $lang['Err_audit_no_casse'] = '<b>Diese Konten sind identisch mit den Fall aufmerksam:</b> ';
 $lang['Err_audit_username_char'] = '<b>Dieses Konto verwendet eine oder mehrere der verbotenen Zeichen:</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>Dieses Konto verwendet eine E-Mail-Anbieter sind untersagt:</b> ';
 $lang['Err_audit_advise'] = '<b>Sie müssen Korrekturen an mit neuen Regeln die Sie aktiviert haben, nachzukommen durchzuführen.<br>Verwenden Sie ein Datenbank-Management-Dienstprogramm, um Benutzer-Accounts direkt in der Tabelle richtig ###_USERS';
-$lang['UserAdvManager_Empty Author'] = 'Der Autor Feld müssen ausgefüllt werden um einen Kommentar zu schicken.';
-if ( isset($conf_UserAdvManager[1]) and $conf_UserAdvManager[1] == 'true' )
+$lang['UAM_Empty Author'] = 'Der Autor Feld müssen ausgefüllt werden um einen Kommentar zu schicken.';
+if ( isset($conf_UAM[1]) and $conf_UAM[1] == 'true' )
 	$lang['reg_err_login5'] = 'Benutzername bereits vorhanden, WARNUNG Name ist Groß-und Kleinschreibung.';
 $lang['reg_err_login6'] = 'Benutzername muss nicht die folgenden Zeichen übereinstimmen: ';
 $lang['reg_err_login7'] = 'Ihre E-Mail-Anbieter für die Registrierung ist verboten. Gebannten E-Mail-Anbieter sind: ';
-$lang['UserAdvManager_empty_pwd'] = '[leeren Passwort]';
-$lang['UserAdvManager_no_update_pwd'] = '[Profil aktualisiert ohne Passwort geändert]';
+$lang['UAM_empty_pwd'] = '[leeren Passwort]';
+$lang['UAM_no_update_pwd'] = '[Profil aktualisiert ohne Passwort geändert]';
 $lang['invalid_pwd'] = 'Ungültiger Benutzername oder Passwort !';
 $lang['No_validation_for_Guest'] = 'Der &quot;Gast&quot;-Konto ist nicht Gegenstand der Validierung';
@@ -72,5 +72,5 @@
 $lang['Reminder_Sent_NOK'] = 'NEIN';
 /* Errors and Warnings */
-$lang['UserAdvManager_save_config'] ='Konfiguration gespeichert.';
+$lang['UAM_save_config'] ='Konfiguration gespeichert.';
 $lang['reg_err_login3'] = 'Sicherheit: Das Passwort ist obligatorisch !';
 $lang['reg_err_login4_%s'] = 'Sicherheit: Ein Steuer-System berechnet eine Partitur von der gewählten Passwörter Komplexität. Die Komplexität des Passworts zu niedrig ist (score = %s). Bitte wählen Sie ein neues Passwort zu mehr Sicherheit, indem Sie folgende Regeln:<br>
@@ -123,63 +123,63 @@
 $lang['SubTitle1'] = 'Plugin-Konfiguration';
 $lang['Tab_Global'] = 'Konfiguration';
-$lang['UserAdvManager_Title1'] = 'Einstellen Einschränkungen für Registrierungen';
-$lang['UserAdvManager_Title2'] = 'Einstellen Bestätigungen und Validierungen der Registrierung';
-$lang['UserAdvManager_Title3'] = 'Einstellen der Registrierung durchgeführt und andere Optionen';
-$lang['UserAdvManager_Title4'] = 'Tipps und Beispiele für die Benutzung';
-$lang['UserAdvManager_No_Casse'] = 'Benutzernamen: Groß-und Kleinschreibung';
-$lang['UserAdvManager_No_Casse_true'] = ' Aktivieren';
-$lang['UserAdvManager_No_Casse_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_Username_Char'] = ' Benutzernamen: Ausschluss von Zeichen';
-$lang['UserAdvManager_Username_Char_true'] = ' Zeichen Verboten:<br>(Verwenden Sie ein Komma, um ein Zeichen getrennt)<br><br>';
-$lang['UserAdvManager_Username_Char_false'] = ' Erlauben Sie alle (Standard)';
-$lang['UserAdvManager_Password_Enforced'] = 'Stärkung des Sicherheitsniveaus von Kennwörtern';
-$lang['UserAdvManager_Password_Enforced_true'] = ' Aktivieren. Minimale Punktzahl: ';
-$lang['UserAdvManager_Password_Enforced_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_AdminPassword_Enforced'] = 'Die Anwendung für Administratoren';
-$lang['UserAdvManager_AdminPassword_Enforced_true'] = ' Aktivieren';
-$lang['UserAdvManager_AdminPassword_Enforced_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_PasswordTest'] = 'Passwort testen : ';
-$lang['UserAdvManager_ScoreTest'] = 'Ergebnis : ';
-$lang['UserAdvManager_MailExclusion'] = 'E-Mail-Domänen Ausgrenzung';
-$lang['UserAdvManager_MailExclusion_true'] = ' Schließen Sie die folgenden E-Mail-Domänen:<br>(Verwenden Sie ein Komma zu trennen jede Domain)';
-$lang['UserAdvManager_MailExclusion_false'] = ' Deaktivieren (Standard)';
-
-$lang['UserAdvManager_Mail_Info'] = 'Informationen E-Mail an Benutzer:';
-$lang['UserAdvManager_Mail_Info_true'] = ' Aktivieren';
-$lang['UserAdvManager_Mail_Info_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_MailInfo_Text'] = ' Anpassen der Informationen per E-Mail:';
-$lang['UserAdvManager_Confirm_Mail'] = 'Bestätigung der Anmeldung:';
-$lang['UserAdvManager_Confirm_Mail_true'] = ' Aktivieren';
-$lang['UserAdvManager_Confirm_Mail_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_ConfirmMail_Text'] = ' Anpassen der E-Mail-Bestätigung';
-$lang['UserAdvManager_Confirm_grpstat_notice'] = 'Achtung: Es ist ratsam, entweder die Gruppe oder die Validierung Satzung und nicht beide gleichzeitig.';
-$lang['UserAdvManager_Confirm_Group'] = 'Validation Gruppen<br>(verlassen ------- zum nicht zu beeinträchtigen Gruppe)';
-$lang['UserAdvManager_Confirm_Status'] = 'Validation Satzung<br>(verlassen ------- ein Versäumnis des Piwigo zu halten)';
-$lang['UserAdvManager_No_Confirm_Group'] = 'Gruppe für Benutzer, die nicht validiert ihrer Eintragung<br>';
-$lang['UserAdvManager_Validated_Group'] = 'Gruppe für Benutzer, die ihre Anmeldung bestätigt<br>';
-$lang['UserAdvManager_No_Confirm_Status'] = 'Status für Benutzer, die nicht validiert ihrer Eintragung<br>';
-$lang['UserAdvManager_Validated_Status'] = 'Status für Benutzer, die ihre Anmeldung bestätigt<br>';
-$lang['UserAdvManager_ValidationLimit_Info'] = 'Anmeldeschluss Validierung beschränkt';
-$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = ' Aktivieren. Anzahl der Tage bis zum Ablauf: ';
-$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_ConfirmMail_Remail'] = 'Erinnern Unvalidierte User';
-$lang['UserAdvManager_ConfirmMail_Remail_true'] = ' Aktivieren';
-$lang['UserAdvManager_ConfirmMail_Remail_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Anpassen der Erinnerungs-Nachricht <b><u>mit</u></b> neue Regeneration der Schlüssel Validierung.';
-$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Anpassen der Erinnerungs-Nachricht <b><u>ohne</u></b> neue Regeneration der Schlüssel Validierung.';
-
-$lang['UserAdvManager_GhostTracker'] = 'Geist Besucher-Management (Geist Tracker)';
-$lang['UserAdvManager_GhostTracker_true'] = ' Aktivieren. Maximale Zeit in Tagen zwischen zwei Besuche: ';
-$lang['UserAdvManager_GhostTracker_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_GhostTracker_ReminderText'] = 'Anpassen der Geist Tracker Erinnerungs-Nachricht';
-$lang['UserAdvManager_LastVisit'] = ' Tracking registrierte Benutzer';
-$lang['UserAdvManager_LastVisit_true'] = ' Aktivieren';
-$lang['UserAdvManager_LastVisit_false'] = ' Deaktivieren (Standard)';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname obligatorisch für Gäste Kommentare';
-$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Aktivieren';
-$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Deaktivieren (Standard)';
-
-$lang['UserAdvManager_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
-$lang['UserAdvManager_Tips1_txt'] = '
+$lang['UAM_Title1'] = 'Einstellen Einschränkungen für Registrierungen';
+$lang['UAM_Title2'] = 'Einstellen Bestätigungen und Validierungen der Registrierung';
+$lang['UAM_Title3'] = 'Einstellen der Registrierung durchgeführt und andere Optionen';
+$lang['UAM_Title4'] = 'Tipps und Beispiele für die Benutzung';
+$lang['UAM_No_Casse'] = 'Benutzernamen: Groß-und Kleinschreibung';
+$lang['UAM_No_Casse_true'] = ' Aktivieren';
+$lang['UAM_No_Casse_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_Username_Char'] = ' Benutzernamen: Ausschluss von Zeichen';
+$lang['UAM_Username_Char_true'] = ' Zeichen Verboten:<br>(Verwenden Sie ein Komma, um ein Zeichen getrennt)<br><br>';
+$lang['UAM_Username_Char_false'] = ' Erlauben Sie alle (Standard)';
+$lang['UAM_Password_Enforced'] = 'Stärkung des Sicherheitsniveaus von Kennwörtern';
+$lang['UAM_Password_Enforced_true'] = ' Aktivieren. Minimale Punktzahl: ';
+$lang['UAM_Password_Enforced_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_AdminPassword_Enforced'] = 'Die Anwendung für Administratoren';
+$lang['UAM_AdminPassword_Enforced_true'] = ' Aktivieren';
+$lang['UAM_AdminPassword_Enforced_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_PasswordTest'] = 'Passwort testen : ';
+$lang['UAM_ScoreTest'] = 'Ergebnis : ';
+$lang['UAM_MailExclusion'] = 'E-Mail-Domänen Ausgrenzung';
+$lang['UAM_MailExclusion_true'] = ' Schließen Sie die folgenden E-Mail-Domänen:<br>(Verwenden Sie ein Komma zu trennen jede Domain)';
+$lang['UAM_MailExclusion_false'] = ' Deaktivieren (Standard)';
+
+$lang['UAM_Mail_Info'] = 'Informationen E-Mail an Benutzer:';
+$lang['UAM_Mail_Info_true'] = ' Aktivieren';
+$lang['UAM_Mail_Info_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_MailInfo_Text'] = ' Anpassen der Informationen per E-Mail:';
+$lang['UAM_Confirm_Mail'] = 'Bestätigung der Anmeldung:';
+$lang['UAM_Confirm_Mail_true'] = ' Aktivieren';
+$lang['UAM_Confirm_Mail_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_ConfirmMail_Text'] = ' Anpassen der E-Mail-Bestätigung';
+$lang['UAM_Confirm_grpstat_notice'] = 'Achtung: Es ist ratsam, entweder die Gruppe oder die Validierung Satzung und nicht beide gleichzeitig.';
+$lang['UAM_Confirm_Group'] = 'Validation Gruppen<br>(verlassen ------- zum nicht zu beeinträchtigen Gruppe)';
+$lang['UAM_Confirm_Status'] = 'Validation Satzung<br>(verlassen ------- ein Versäumnis des Piwigo zu halten)';
+$lang['UAM_No_Confirm_Group'] = 'Gruppe für Benutzer, die nicht validiert ihrer Eintragung<br>';
+$lang['UAM_Validated_Group'] = 'Gruppe für Benutzer, die ihre Anmeldung bestätigt<br>';
+$lang['UAM_No_Confirm_Status'] = 'Status für Benutzer, die nicht validiert ihrer Eintragung<br>';
+$lang['UAM_Validated_Status'] = 'Status für Benutzer, die ihre Anmeldung bestätigt<br>';
+$lang['UAM_ValidationLimit_Info'] = 'Anmeldeschluss Validierung beschränkt';
+$lang['UAM_ConfirmMail_TimeOut_true'] = ' Aktivieren. Anzahl der Tage bis zum Ablauf: ';
+$lang['UAM_ConfirmMail_TimeOut_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_ConfirmMail_Remail'] = 'Erinnern Unvalidierte User';
+$lang['UAM_ConfirmMail_Remail_true'] = ' Aktivieren';
+$lang['UAM_ConfirmMail_Remail_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Anpassen der Erinnerungs-Nachricht <b><u>mit</u></b> neue Regeneration der Schlüssel Validierung.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Anpassen der Erinnerungs-Nachricht <b><u>ohne</u></b> neue Regeneration der Schlüssel Validierung.';
+
+$lang['UAM_GhostTracker'] = 'Geist Besucher-Management (Geist Tracker)';
+$lang['UAM_GhostTracker_true'] = ' Aktivieren. Maximale Zeit in Tagen zwischen zwei Besuche: ';
+$lang['UAM_GhostTracker_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_GhostTracker_ReminderText'] = 'Anpassen der Geist Tracker Erinnerungs-Nachricht';
+$lang['UAM_LastVisit'] = ' Tracking registrierte Benutzer';
+$lang['UAM_LastVisit_true'] = ' Aktivieren';
+$lang['UAM_LastVisit_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_No_Comment_Anonymous'] = 'Nickname obligatorisch für Gäste Kommentare';
+$lang['UAM_No_Comment_Anonymous_true'] = ' Aktivieren';
+$lang['UAM_No_Comment_Anonymous_false'] = ' Deaktivieren (Standard)';
+
+$lang['UAM_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
+$lang['UAM_Tips1_txt'] = '
           <ul>
             <li>
@@ -245,5 +245,5 @@
 $lang['GT_Init'] = 'Initializing Ghost Tracker';
 $lang['GhostTracker_Title'] = 'Geist Besucher-Management';
-$lang['UserAdvManager_GhostTracker_Init'] = 'Wenn Sie diese Funktion zum ersten Mal oder haben Sie nach einem langen Zeitraum aus, in dem neue Besucher registriert sind, müssen Sie initialisieren, oder setzen Sie den Geist Tracker reaktiviert. Dieser Vorgang ist nur nach Aktivierung oder Reaktivierung von der Möglichkeit gemacht. Bitte klicken Sie <u>einmal</u> die Reset-Taste unten.';
+$lang['UAM_GhostTracker_Init'] = 'Wenn Sie diese Funktion zum ersten Mal oder haben Sie nach einem langen Zeitraum aus, in dem neue Besucher registriert sind, müssen Sie initialisieren, oder setzen Sie den Geist Tracker reaktiviert. Dieser Vorgang ist nur nach Aktivierung oder Reaktivierung von der Möglichkeit gemacht. Bitte klicken Sie <u>einmal</u> die Reset-Taste unten.';
 /* UserList Tab */
 $lang['SubTitle5'] = 'Tracking-Besucher';
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5055)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5056)
@@ -3,5 +3,5 @@
 global $lang,$conf;
 
-$conf_UserAdvManager = isset($conf['UserAdvManager']) ? explode(";" , $conf['UserAdvManager']) : array();
+$conf_UAM = unserialize($conf['nbc_UserAdvManager']);
 
 
@@ -24,16 +24,16 @@
 
 /* Errors and Warnings */
-$lang['UserAdvManager_audit_ok'] = 'Audit OK';
+$lang['UAM_audit_ok'] = 'Audit OK';
 $lang['Err_audit_no_casse'] = '<b>These accounts are identical to the case closely :</b> ';
 $lang['Err_audit_username_char'] = '<b>This account uses one or more forbidden characters :</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>This account uses a forbidden email provider :</b> ';
 $lang['Err_audit_advise'] = '<b>you have to perform corrections to comply with new rules that you have activated.<br>Use a database management utility to correct user accounts directly in the table ###_USERS';
-$lang['UserAdvManager_Empty Author'] = 'The author field have to be filled to send a comment.';
-if ( isset($conf_UserAdvManager[1]) and $conf_UserAdvManager[1] == 'true' )
+$lang['UAM_Empty Author'] = 'The author field have to be filled to send a comment.';
+if ( isset($conf_UAM[1]) and $conf_UAM[1] == 'true' )
 	$lang['reg_err_login5'] = 'Username already exist, WARNING name is case insensitive (Shift = Tiny).';
 $lang['reg_err_login6'] = 'Username does not have to match the following characters: ';
 $lang['reg_err_login7'] = 'Your email provider is banned for registration. Banned email providers are: ';
-$lang['UserAdvManager_empty_pwd'] = '[empty password]';
-$lang['UserAdvManager_no_update_pwd'] = '[profile updated without password changed]';
+$lang['UAM_empty_pwd'] = '[empty password]';
+$lang['UAM_no_update_pwd'] = '[profile updated without password changed]';
 $lang['invalid_pwd'] = 'Invalid username or password !';
 $lang['No_validation_for_Guest'] = 'The "Guest" account is not subject to validation';
@@ -72,5 +72,5 @@
 $lang['Reminder_Sent_NOK'] = 'NO';
 /* Errors and Warnings */
-$lang['UserAdvManager_save_config'] ='Configuration saved.';
+$lang['UAM_save_config'] ='Configuration saved.';
 $lang['reg_err_login3'] = 'Security : Password is mandatory !';
 $lang['reg_err_login4_%s'] = 'Security : A control system calculates a score on the chosen passwords complexity. The complexity of your password is too low (score = %s). Please, choose a new password more secure by following these rules:<br>
@@ -123,63 +123,63 @@
 $lang['SubTitle1'] = 'Plugin configuration';
 $lang['Tab_Global'] = 'Configuration';
-$lang['UserAdvManager_Title1'] = 'Setting restrictions for registrations';
-$lang['UserAdvManager_Title2'] = 'Setting confirmations and validations of registration';
-$lang['UserAdvManager_Title3'] = 'Setting the followed registrations and other options';
-$lang['UserAdvManager_Title4'] = 'Tips and examples of use';
-$lang['UserAdvManager_No_Casse'] = 'Usernames: Case sensitivity';
-$lang['UserAdvManager_No_Casse_true'] = ' Enable';
-$lang['UserAdvManager_No_Casse_false'] = ' Disable (default)';
-$lang['UserAdvManager_Username_Char'] = 'Usernames: Exclusion of characters';
-$lang['UserAdvManager_Username_Char_true'] = ' Banning characters:<br>(Use a comma to separate each character)<br><br>';
-$lang['UserAdvManager_Username_Char_false'] = ' Permit all (default)';
-$lang['UserAdvManager_Password_Enforced'] = 'Strengthening the security level of passwords';
-$lang['UserAdvManager_Password_Enforced_true'] = ' Enable. Minimum Score: ';
-$lang['UserAdvManager_Password_Enforced_false'] = ' Disable (default)';
-$lang['UserAdvManager_AdminPassword_Enforced'] = 'Applying to administrators';
-$lang['UserAdvManager_AdminPassword_Enforced_true'] = ' Enable';
-$lang['UserAdvManager_AdminPassword_Enforced_false'] = ' Disable (default)';
-$lang['UserAdvManager_PasswordTest'] = 'Password test: ';
-$lang['UserAdvManager_ScoreTest'] = 'Result: ';
-$lang['UserAdvManager_MailExclusion'] = 'Email domains exclusion';
-$lang['UserAdvManager_MailExclusion_true'] = ' Exclude the following domains:<br>(Use a comma to separate each domain)';
-$lang['UserAdvManager_MailExclusion_false'] = ' Disable (default)';
-
-$lang['UserAdvManager_Mail_Info'] = 'Information email to user:';
-$lang['UserAdvManager_Mail_Info_true'] = ' Enable';
-$lang['UserAdvManager_Mail_Info_false'] = ' Disable (default)';
-$lang['UserAdvManager_MailInfo_Text'] = ' Customizing the information email:';
-$lang['UserAdvManager_Confirm_Mail'] = 'Confirmation of registration:';
-$lang['UserAdvManager_Confirm_Mail_true'] = ' Enable';
-$lang['UserAdvManager_Confirm_Mail_false'] = ' Disable (default)';
-$lang['UserAdvManager_ConfirmMail_Text'] = ' Customizing the confirmation email:';
-$lang['UserAdvManager_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the validation statutes and not both simultaneously.';
-$lang['UserAdvManager_Confirm_Group'] = 'Validation Groups<br>(leave ------- to not affect group)';
-$lang['UserAdvManager_Confirm_Status'] = 'Validation Statutes<br>(leave ------- to keep the Piwigo\'s default)';
-$lang['UserAdvManager_No_Confirm_Group'] = 'Group for users who have not validated their registration<br>';
-$lang['UserAdvManager_Validated_Group'] = 'Group for users who have validated their registration<br>';
-$lang['UserAdvManager_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
-$lang['UserAdvManager_Validated_Status'] = 'Status for users who have validated their registration<br>';
-$lang['UserAdvManager_ValidationLimit_Info'] = 'Deadline for registration validation limited';
-$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
-$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = ' Disable (default)';
-$lang['UserAdvManager_ConfirmMail_Remail'] = 'Remind unvalidated users';
-$lang['UserAdvManager_ConfirmMail_Remail_true'] = ' Enable';
-$lang['UserAdvManager_ConfirmMail_Remail_false'] = ' Disable (default)';
-$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
-$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
-
-$lang['UserAdvManager_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
-$lang['UserAdvManager_GhostTracker_true'] = ' Enable. Maximum period in days between two visits: ';
-$lang['UserAdvManager_GhostTracker_false'] = ' Disable (default)';
-$lang['UserAdvManager_GhostTracker_ReminderText'] = 'Customizing Ghost Tracker\'s reminder message';
-$lang['UserAdvManager_LastVisit'] = ' Tracking registered users';
-$lang['UserAdvManager_LastVisit_true'] = ' Enable';
-$lang['UserAdvManager_LastVisit_false'] = ' Disable (default)';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname mandatory for guests comments';
-$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Enable';
-$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Disable (default)';
-
-$lang['UserAdvManager_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
-$lang['UserAdvManager_Tips1_txt'] = '
+$lang['UAM_Title1'] = 'Setting restrictions for registrations';
+$lang['UAM_Title2'] = 'Setting confirmations and validations of registration';
+$lang['UAM_Title3'] = 'Setting the followed registrations and other options';
+$lang['UAM_Title4'] = 'Tips and examples of use';
+$lang['UAM_No_Casse'] = 'Usernames: Case sensitivity';
+$lang['UAM_No_Casse_true'] = ' Enable';
+$lang['UAM_No_Casse_false'] = ' Disable (default)';
+$lang['UAM_Username_Char'] = 'Usernames: Exclusion of characters';
+$lang['UAM_Username_Char_true'] = ' Banning characters:<br>(Use a comma to separate each character)<br><br>';
+$lang['UAM_Username_Char_false'] = ' Permit all (default)';
+$lang['UAM_Password_Enforced'] = 'Strengthening the security level of passwords';
+$lang['UAM_Password_Enforced_true'] = ' Enable. Minimum Score: ';
+$lang['UAM_Password_Enforced_false'] = ' Disable (default)';
+$lang['UAM_AdminPassword_Enforced'] = 'Applying to administrators';
+$lang['UAM_AdminPassword_Enforced_true'] = ' Enable';
+$lang['UAM_AdminPassword_Enforced_false'] = ' Disable (default)';
+$lang['UAM_PasswordTest'] = 'Password test: ';
+$lang['UAM_ScoreTest'] = 'Result: ';
+$lang['UAM_MailExclusion'] = 'Email domains exclusion';
+$lang['UAM_MailExclusion_true'] = ' Exclude the following domains:<br>(Use a comma to separate each domain)';
+$lang['UAM_MailExclusion_false'] = ' Disable (default)';
+
+$lang['UAM_Mail_Info'] = 'Information email to user:';
+$lang['UAM_Mail_Info_true'] = ' Enable';
+$lang['UAM_Mail_Info_false'] = ' Disable (default)';
+$lang['UAM_MailInfo_Text'] = ' Customizing the information email:';
+$lang['UAM_Confirm_Mail'] = 'Confirmation of registration:';
+$lang['UAM_Confirm_Mail_true'] = ' Enable';
+$lang['UAM_Confirm_Mail_false'] = ' Disable (default)';
+$lang['UAM_ConfirmMail_Text'] = ' Customizing the confirmation email:';
+$lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the validation statutes and not both simultaneously.';
+$lang['UAM_Confirm_Group'] = 'Validation Groups<br>(leave ------- to not affect group)';
+$lang['UAM_Confirm_Status'] = 'Validation Statutes<br>(leave ------- to keep the Piwigo\'s default)';
+$lang['UAM_No_Confirm_Group'] = 'Group for users who have not validated their registration<br>';
+$lang['UAM_Validated_Group'] = 'Group for users who have validated their registration<br>';
+$lang['UAM_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
+$lang['UAM_Validated_Status'] = 'Status for users who have validated their registration<br>';
+$lang['UAM_ValidationLimit_Info'] = 'Deadline for registration validation limited';
+$lang['UAM_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
+$lang['UAM_ConfirmMail_TimeOut_false'] = ' Disable (default)';
+$lang['UAM_ConfirmMail_Remail'] = 'Remind unvalidated users';
+$lang['UAM_ConfirmMail_Remail_true'] = ' Enable';
+$lang['UAM_ConfirmMail_Remail_false'] = ' Disable (default)';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
+
+$lang['UAM_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
+$lang['UAM_GhostTracker_true'] = ' Enable. Maximum period in days between two visits: ';
+$lang['UAM_GhostTracker_false'] = ' Disable (default)';
+$lang['UAM_GhostTracker_ReminderText'] = 'Customizing Ghost Tracker\'s reminder message';
+$lang['UAM_LastVisit'] = ' Tracking registered users';
+$lang['UAM_LastVisit_true'] = ' Enable';
+$lang['UAM_LastVisit_false'] = ' Disable (default)';
+$lang['UAM_No_Comment_Anonymous'] = 'Nickname mandatory for guests comments';
+$lang['UAM_No_Comment_Anonymous_true'] = ' Enable';
+$lang['UAM_No_Comment_Anonymous_false'] = ' Disable (default)';
+
+$lang['UAM_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
+$lang['UAM_Tips1_txt'] = '
           <ul>
             <li>
@@ -245,5 +245,5 @@
 $lang['GT_Init'] = 'Initializing Ghost Tracker';
 $lang['GhostTracker_Title'] = 'Ghost visitors management';
-$lang['UserAdvManager_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
+$lang['UAM_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
 /* UserList Tab */
 $lang['SubTitle5'] = 'Tracking users';
